Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iplan
Class OptionUI

    java.lang.Object
      ix.iplan.OptionUI

All Implemented Interfaces:
  OptionListener, java.awt.event.ActionListener, java.util.EventListener

    public class OptionUI

extends java.lang.Object
implements java.awt.event.ActionListener, OptionListener

Constructor Summary
`OptionUI(IPlanOptionManager m, javax.swing.JFrame frame)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)`
`java.lang.String` | `askUserToSelectOption(java.lang.String message, java.lang.String initialSelection)`
`javax.swing.JMenu` | `getOptionMenu()`
`void` | `optionAdded(OptionEvent e)`
`void` | `optionContentsChanged(OptionEvent e, java.util.EventObject how)`
`void` | `optionDeleted(OptionEvent e)`
`void` | `optionRenamed(OptionEvent e, java.lang.String oldName)`
`void` | `optionSet(OptionEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OptionUI

    public OptionUI(IPlanOptionManager m,
                    javax.swing.JFrame frame)

Method Detail

### getOptionMenu

    public javax.swing.JMenu getOptionMenu()

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### optionAdded

    public void optionAdded(OptionEvent e)

  Specified by:
    `optionAdded` in interface `OptionListener`

### optionSet

    public void optionSet(OptionEvent e)

  Specified by:
    `optionSet` in interface `OptionListener`

### optionRenamed

    public void optionRenamed(OptionEvent e,
                              java.lang.String oldName)

  Specified by:
    `optionRenamed` in interface `OptionListener`

### optionContentsChanged

    public void optionContentsChanged(OptionEvent e,
                                      java.util.EventObject how)

  Specified by:
    `optionContentsChanged` in interface `OptionListener`

### optionDeleted

    public void optionDeleted(OptionEvent e)

  Specified by:
    `optionDeleted` in interface `OptionListener`

### askUserToSelectOption

    public java.lang.String askUserToSelectOption(java.lang.String message,
                                                  java.lang.String initialSelection)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD